Get workspace billing readiness
curl --request GET \
--url https://global.thenile.dev/workspaces/{workspaceSlug}/billing/readiness \
--header 'Authorization: Bearer <token>'import requests
url = "https://global.thenile.dev/workspaces/{workspaceSlug}/billing/readiness"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://global.thenile.dev/workspaces/{workspaceSlug}/billing/readiness', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workspace": "<string>",
"workspaceId": "<string>",
"stripeCustomerId": "<string>",
"defaultPaymentMethodId": "<string>",
"status": "ready",
"checkedAt": "2023-11-07T05:31:56Z",
"lastError": "<string>",
"source": "<string>",
"detail": "<string>"
}{
"errorCode": "internal_error",
"message": "<string>",
"statusCode": 123
}{
"errorCode": "internal_error",
"message": "<string>",
"statusCode": 123
}workspaces
Get workspace billing readiness
Resolve the workspace billing customer without creating one and return local readiness semantics for customer and default payment-method state.
GET
/
workspaces
/
{workspaceSlug}
/
billing
/
readiness
Get workspace billing readiness
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Workspace billing readiness
Was this page helpful?